package server;
import org.eclipse.edt.javart.resources.*;
import org.eclipse.edt.javart.*;
import org.eclipse.edt.javart.services.*;
import org.eclipse.edt.javart.Runtime;
import org.eclipse.edt.javart.json.Json;
import org.eclipse.edt.runtime.java.eglx.lang.EList;
import java.util.List;
import org.eclipse.edt.runtime.java.eglx.lang.EAny;
import java.lang.Object;
import org.eclipse.edt.runtime.java.eglx.lang.EString;
import java.lang.String;
import externaljava.MailSender;
@SuppressWarnings("unused")
@javax.xml.bind.annotation.XmlRootElement(name="MailService")
public class MailService extends ServiceBase {
	private static final long serialVersionUID = 10L;
	public transient MailSender MailSender;
	public MailService() {
		super();
	}
	{
		if(Runtime.getRunUnit().getActiveExecutable() == null)
		Runtime.getRunUnit().setActiveExecutable(this);
		ezeInitialize();
	}
	public void ezeInitialize() {
		MailSender = new MailSender();
	}
	@FunctionSignature(name="sendMailA", parameters={@FunctionParameter(jsonInfo=@Json(name="smtpHost", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="smtpUser", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="smtpPass", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="toAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="ccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="bccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="fromAddress", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="subject", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="content", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="filePath", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="fileName", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="birtHost", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="birtReport", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="birtParams", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="reportAttachName", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="functionValue", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="eze_return", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.RETURN)})
	public String sendMailA(String smtpHost, String smtpUser, String smtpPass, List<String> toAddresses, List<String> ccAddresses, List<String> bccAddresses, String fromAddress, String subject, String content, String filePath, String fileName, String birtHost, String birtReport, List<String> birtParams, String reportAttachName, String functionValue) {
		return MailSender.sendMailA(smtpHost, smtpUser, smtpPass, toAddresses, ccAddresses, bccAddresses, fromAddress, subject, content, filePath, fileName, birtHost, birtReport, birtParams, reportAttachName, functionValue);
	}
	@FunctionSignature(name="sendMailB", parameters={@FunctionParameter(jsonInfo=@Json(name="smtpHost", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="smtpUser", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="smtpPass", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="toAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="ccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="bccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="fromAddress", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="subject", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="content", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="attachments", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="eze_return", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.RETURN)})
	public String sendMailB(String smtpHost, String smtpUser, String smtpPass, List<String> toAddresses, List<String> ccAddresses, List<String> bccAddresses, String fromAddress, String subject, String content, List<String> attachments) {
		return MailSender.sendMailB(smtpHost, smtpUser, smtpPass, toAddresses, ccAddresses, bccAddresses, fromAddress, subject, content, attachments);
	}
	@FunctionSignature(name="sendMailC", parameters={@FunctionParameter(jsonInfo=@Json(name="toAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="ccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="bccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="fromAddress", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="subject", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="content", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="filePath", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="fileName", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="birtHost", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="birtReport", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="birtParams", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="reportAttachName", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="functionValue", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="eze_return", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.RETURN)})
	public String sendMailC(List<String> toAddresses, List<String> ccAddresses, List<String> bccAddresses, String fromAddress, String subject, String content, String filePath, String fileName, String birtHost, String birtReport, List<String> birtParams, String reportAttachName, String functionValue) {
		return MailSender.sendMailC(toAddresses, ccAddresses, bccAddresses, fromAddress, subject, content, filePath, fileName, birtHost, birtReport, birtParams, reportAttachName, functionValue);
	}
	@FunctionSignature(name="sendMailD", parameters={@FunctionParameter(jsonInfo=@Json(name="toAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="ccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="bccAddresses", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="fromAddress", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="subject", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="content", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN), @FunctionParameter(jsonInfo=@Json(name="attachments", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.IN, arrayDimensions=1), @FunctionParameter(jsonInfo=@Json(name="eze_return", clazz=EString.class, asOptions={}), kind=FunctionParameterKind.RETURN)})
	public String sendMailD(List<String> toAddresses, List<String> ccAddresses, List<String> bccAddresses, String fromAddress, String subject, String content, List<String> attachments) {
		return MailSender.sendMailD(toAddresses, ccAddresses, bccAddresses, fromAddress, subject, content, attachments);
	}
}
